Modbot Docs
APIAPI referenceSettings

Get roles from lists

GET/api/discord-list-roles

The Discord roles saved lists give, the switch, and what the bot may do in the server.

Needs the ManageDiscordSync permission.

AuthorizationBearer <token>

An API key, made on Settings, API keys. Every key starts with mbk_.

In: header

Response Body

application/json

application/problem+json

application/problem+json

curl -X GET "https://example.com/api/discord-list-roles"
{  "on": true,  "botCanManageRoles": true,  "ranAt": null,  "problem": null,  "roles": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "listId": "9fc6ad7d-902a-4834-b161-a4911b883d44",      "listName": "string",      "discordRoleId": "string",      "roleName": null,      "enabled": true,      "given": 0,      "problem": null,      "stoppedAt": null,      "stoppedTaking": null,      "removalsAllowed": null    }  ],  "lists": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string"    }  ],  "canPreview": true,  "canApply": true}

Modbot is not endorsed by or affiliated with VRChat Inc. or Discord Inc. VRChat is a trademark of VRChat Inc. Discord is a trademark of Discord Inc. SteamVR is a trademark of Valve Corporation. Windows is a trademark of Microsoft Corporation. Docker is a trademark of Docker, Inc. PostgreSQL is a trademark of the PostgreSQL Community Association of Canada. Railway is a trademark of Railway Corp. Other names are trademarks of their respective owners; see Legal. Modbot and its logo are trademarks of the Modbot project. Open source under AGPL-3.0.